Draft ZeichnungZuSkizze

From FreeCAD Documentation
Revision as of 17:37, 26 July 2021 by Maker (talk | contribs)

Draft Draft2Sketch

Menüeintrag
Entwerfen → Entwurf zu Skizze
Arbeitsbereich
Draft, Arch
Standardtastenkürzel
Keiner
Eingeführt in Version
-
Siehe auch
Skizzierer Arbeitsbereich, PartDesign Arbeitsbereich

Beschreibung

Das Draft EntwurfZuSkizze Werkzeug konvertiert Entwurf Arbeitsbereich zu Skizzierer Skizzen, und umgekehrt.

Konvertieren von Entwurfsformen in Skizzierer Formen mit Beschränkungen

Anwendung

  1. Wähle ein Entwurfsobjekt oder eine Skizze.
  2. Drücke die Entwurf EntwurfZuSkizze Schaltfläche.

Notes

Einschränkungen

Die Umwandlung eines Objekts, das nicht aus einer Kombination von geraden Linien, kreisförmigen Bögen und B-Splines dargestellt werden kann, wird üblicherweise fehlschlagen, d.h. das Objekt erscheint nicht in der Skizze.

Scripting

Skripten

Siehe auch: Entwurf API und FreeCAD Grundlagen Skripten.

Konvertiert Objekte nach Skizze:

sketch = make_sketch(objects_list, autoconstraints=False, addTo=None, delete=False, name="Sketch", radiusPrecision=-1, tol=1e-3)
  • objects_list contains the objects to be converted. It is either a single object or a list of objects. Draft objects, Part::Feature objects and Part.Shape objects are supported.
  • If autoconstraints is True coincident constraints are added to nodes belonging to the same source object.
  • addTo is the existing sketch object the geometry is added to. If not supplied a new sketch is created.
  • If delete is True the source objects are deleted.
  • name is the name for the new sketch.
  • radiusPrecision indicates how radius constraints should be handled:
    • Use -1 to disable radius constraints.
    • Use 0 to add individual radius constraints.
    • Use a positive number to round radii according to this precision, and to add equal constraints between curves with equal radii.
  • tol is the tolerance used to check if shapes are planar and co-planar. Use -1 for a strict analysis.
  • sketch is returned with the sketch object.

Konvertiert Objekte nach Entwurf:

draftify(objectslist, makeblock=False, delete=True)
  • objectslist contains the objects to be converted. It is either a single object or a list of objects.
  • If makeblock is True the converted objects are grouped in a Part::Part2DObject.
  • If delete is True the source objects are deleted.

Example:

import FreeCAD as App
import Draft

doc = App.newDocument()

rectangle = Draft.make_rectangle(2000, 1000)
circle = Draft.make_circle(500)
doc.recompute()

sketch_from_draft = Draft.make_sketch([rectangle, circle], autoconstraints=True, delete=False, radiusPrecision=0)
doc.recompute()

draft_from_sketch = Draft.draftify(sketch_from_draft, delete=False)
doc.recompute()